CGAL 6.2 - dD Geometry Kernel: CGAL::Epeck_d< DimensionTag >::Point_d Class Reference

CGAL 6.2 - dD Geometry Kernel

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Friends
CGAL::Epeck_d< DimensionTag >::Point_d Class Reference

`#include <CGAL/Epeck_d.h>`

## Definition

template<typename DimensionTag>
class CGAL::Epeck_d< DimensionTag >::Point_d

represents a point in the Euclidean space

Is model of
  `DefaultConstructible`
  `Assignable`

## Public Member Functions
| Point_d (double x0, double x1,...)
| introduces a point with coordinates (x0, x1, ...) where the number of coordinates matches the dimension.
template<typename ForwardIterator >
| Point_d (ForwardIterator first, ForwardIterator end)
| introduces a point with coordinate set `[first,end)`.
double | operator[] (int i) const
| returns the i-th coordinate of a point.
Cartesian_const_iterator_d | cartesian_begin () const
| returns an iterator pointing to the zeroth Cartesian coordinate.
Cartesian_const_iterator_d | cartesian_end () const
| returns an iterator pointing beyond the last Cartesian coordinate.

## Friends
bool | operator== (Point_d, Point_d)
| returns whether the points coincide.
bool | operator!= (Point_d, Point_d)
| returns whether the points are distinct.

## Constructor & Destructor Documentation

## ◆ Point_d() [1/2]

template<typename DimensionTag >

CGAL::Epeck_d< DimensionTag >::Point_d::Point_d | ( | double | x0,
|  | double | x1,
|  |  | ...
| ) |  |

introduces a point with coordinates (x0, x1, ...) where the number of coordinates matches the dimension.

Precondition
  `DimensionTag` is a fixed dimension, not `Dynamic_dimension_tag`.

## ◆ Point_d() [2/2]

template<typename DimensionTag >
template<typename ForwardIterator >

CGAL::Epeck_d< DimensionTag >::Point_d::Point_d | ( | ForwardIterator | first,
|  | ForwardIterator | end
| ) |  |

introduces a point with coordinate set `[first,end)`.

Precondition
  If `DimensionTag` is a fixed dimension, it matches `std::distance(first,end)`.

Template Parameters

  ForwardIterator | has its value type that is convertible to `double`.

## Member Function Documentation

## ◆ operator[]()

template<typename DimensionTag >

double CGAL::Epeck_d< DimensionTag >::Point_d::operator[] | ( | int | i | ) | const

returns the i-th coordinate of a point.

Precondition
  `i` is non-negative and less than the dimension.